Skip to content
First requestVisit website ↗
Navigation

Update calendar event by ID (Admin)

Update an existing calendar event by its ID. Requires admin authentication.

PUT
https://api.channelautomation.com/api/calendar/events/{id}

Authorization

  • BearerAuth
    optional
    HTTP Bearer (JWT)
  • ApiKeyAuth
    optional
    API key in header

Path parameters

  • id
    string
    required

    Calendar event ID

Request body JSON required

  • workspace_id
    string
    required
  • date
    string
    required

    Date in mm-dd-yyyy format

  • start_time
    string
    required

    Start time in hh:mm AM/PM format

  • end_time
    string
    required

    End time in hh:mm AM/PM format

  • timezone
    string
    required

    IANA timezone identifier

  • title
    optional
    string
  • description
    optional
    string
  • location
    optional
    string

Returns

200

Event updated successfully

JSON
  • success
    optional
    boolean
  • event
    optional
    object
    • workspace_id
      string
      required

      Workspace ID

    • start_time
      string
      required

      Start time of the appointment

      format: date-time
    • end_time
      string
      required

      End time of the appointment

      format: date-time
    • id
      optional
      string

      Unique identifier (for updates)

    • contact_id
      optional
      string

      Associated contact ID

    • admin_id
      optional
      string

      Admin/agent ID

    • event_title
      optional
      string

      Title of the event/appointment

    • event_description
      optional
      string

      Description of the event

    • status
      optional
      string

      Status of the appointment

    • location
      optional
      string

      Location of the appointment

    • notes
      optional
      string

      Additional notes

  • parsed_times
    optional
    object
    • utc_start
      optional
      string
    • utc_end
      optional
      string
    • local_start
      optional
      string
    • local_end
      optional
      string
    • format_used
      optional
      string

400

Missing required fields or invalid data
JSON
  • success
    optional
    boolean
  • error
    optional
    string

401

Authentication required
JSON
  • error
    optional
    string
  • success
    optional
    boolean

403

Admin privileges required
JSON
  • error
    optional
    string
  • success
    optional
    boolean

404

Event not found
JSON
  • success
    optional
    boolean
  • error
    optional
    string

500

Internal server error
JSON
  • error
    optional
    string
  • details
    optional
    string
  • success
    optional
    boolean

Type to search…

↑↓ navigate↵ selectEsc close